Bug 1113755 - [openssl1.1.1][staging] python fails to build / errorin the test suite
[openssl1.1.1][staging] python fails to build / errorin the test suite
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Other
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Tomáš Chvátal
E-mail List
obs:running:11857:important
:
Depends on:
Blocks: 1108977
  Show dependency treegraph
 
Reported: 2018-10-29 14:58 UTC by Dominique Leuenberger
Modified: 2022-06-10 08:40 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dominique Leuenberger 2018-10-29 14:58:59 UTC
openssl is being updated to version 1.1.1 - which currently causes failures of python

The error can be seen in Staging:C

https://build.opensuse.org/package/live_build_log/openSUSE:Factory:Staging:C/python/standard/x86_64

From the log file:

[  216s] Run tests sequentially
[  216s] 0:00:00 load avg: 1.65 [ 1/19] test_urllib
[  216s] 0:00:00 load avg: 1.65 [ 2/19] test_ssl
[  218s] test test_ssl failed -- multiple errors occurred; run in verbose mode for details
[  218s] 0:00:01 load avg: 1.65 [ 3/19/1] test_hashlib -- test_ssl failed
[  218s] 0:00:02 load avg: 1.65 [ 4/19/1] test_hmac
[  218s] 0:00:02 load avg: 1.65 [ 5/19/1] test_urllib2_localnet
[  219s] Traceback (most recent call last):
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/SocketServer.py", line 290, in _handle_request_noblock
[  219s]     self.process_request(request, client_address)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/SocketServer.py", line 318, in process_request
[  219s]     self.finish_request(request, client_address)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/SocketServer.py", line 331, in finish_request
[  219s]     self.RequestHandlerClass(request, client_address, self)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/SocketServer.py", line 652, in __init__
[  219s]     self.handle()
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/BaseHTTPServer.py", line 340, in handle
[  219s]     self.handle_one_request()
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/BaseHTTPServer.py", line 310, in handle_one_request
[  219s]     self.raw_requestline = self.rfile.readline(65537)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/socket.py", line 480, in readline
[  219s]     data = self._sock.recv(self._rbufsize)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/ssl.py", line 780, in recv
[  219s]     return self.read(buflen)
[  219s]   File "/home/abuild/rpmbuild/BUILD/Python-2.7.15/Lib/ssl.py", line 667, in read
[  219s]     v = self._sslobj.read(len)
[  219s] error: [Errno 104] Connection reset by peer
[  219s] test test_urllib2_localnet produced unexpected output:
[  219s] **********************************************************************

(other failures might happen too)
Comment 1 Tomáš Chvátal 2018-10-29 15:02:39 UTC
We already have WIP patchset that is now being done by Vcizek:

https://build.opensuse.org/package/view_file/devel:languages:python:Factory/python/openssl-111.patch?expand=1
Comment 2 Vítězslav Čížek 2018-10-29 15:17:32 UTC
We just submitted python that builds with openssl 1.1.1:
https://build.opensuse.org/request/show/645305
Comment 3 Tomáš Chvátal 2018-10-30 08:18:24 UTC
Builds fine in the staging.
Comment 6 Swamp Workflow Management 2020-01-24 20:13:25 UTC
SUSE-SU-2020:0234-1: An update that solves 37 vulnerabilities and has 50 fixes is now available.

Category: security (important)
Bug References: 1027282,1041090,1042670,1068664,1073269,1073748,1078326,1078485,1079300,1081750,1083507,1084650,1086001,1088004,1088009,1109847,1111793,1113755,1122191,1129346,1130840,1130847,1138459,1141853,1149792,1149955,1153238,1153830,1159035,214983,298378,346490,367853,379534,380942,399190,406051,425138,426563,430761,432677,436966,437293,441088,462375,525295,534721,551715,572673,577032,581765,603255,617751,637176,638233,658604,673071,682554,697251,707667,718009,747125,747794,751718,754447,766778,794139,804978,827982,831442,834601,836739,856835,856836,857470,863741,885882,898572,901715,935856,945401,964182,984751,985177,985348,989523,997436
CVE References: CVE-2007-2052,CVE-2008-1721,CVE-2008-2315,CVE-2008-2316,CVE-2008-3142,CVE-2008-3143,CVE-2008-3144,CVE-2011-1521,CVE-2011-3389,CVE-2011-4944,CVE-2012-0845,CVE-2012-1150,CVE-2013-1752,CVE-2013-1753,CVE-2013-4238,CVE-2014-1912,CVE-2014-4650,CVE-2014-7185,CVE-2016-0772,CVE-2016-1000110,CVE-2016-5636,CVE-2016-5699,CVE-2017-1000158,CVE-2017-18207,CVE-2018-1000030,CVE-2018-1000802,CVE-2018-1060,CVE-2018-1061,CVE-2018-14647,CVE-2018-20852,CVE-2019-10160,CVE-2019-16056,CVE-2019-16935,CVE-2019-5010,CVE-2019-9636,CVE-2019-9947,CVE-2019-9948
Sources used:
SUSE Linux Enterprise Module for Python2 15-SP1 (src):    python-2.7.17-7.32.2, python-base-2.7.17-7.32.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    python-2.7.17-7.32.2, python-base-2.7.17-7.32.1, python-doc-2.7.17-7.32.2
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    python-2.7.17-7.32.2, python-doc-2.7.17-7.32.2
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    python-2.7.17-7.32.2
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    python-2.7.17-7.32.2
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    python-2.7.17-7.32.2, python-base-2.7.17-7.32.1
SUSE Linux Enterprise Module for Basesystem 15 (src):    python-2.7.17-7.32.2, python-base-2.7.17-7.32.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 18 OBSbugzilla Bot 2022-02-06 22:30:36 UTC
This is an autogenerated message for OBS integration:
This bug (1113755) was mentioned in
https://build.opensuse.org/request/show/951983 Factory / python
Comment 19 OBSbugzilla Bot 2022-02-09 19:10:41 UTC
This is an autogenerated message for OBS integration:
This bug (1113755) was mentioned in
https://build.opensuse.org/request/show/953031 Factory / python
Comment 20 OBSbugzilla Bot 2022-06-10 08:40:36 UTC
This is an autogenerated message for OBS integration:
This bug (1113755) was mentioned in
https://build.opensuse.org/request/show/981989 Factory / python